Bullet Collision Detection & Physics Library: btBvhSubtreeInfo Class Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
btBvhSubtreeInfo Class Reference

btBvhSubtreeInfo provides info to gather a subtree of limited size More...

`#include <btQuantizedBvh.h>`

## Public Member Functions
| BT_DECLARE_ALIGNED_ALLOCATOR ()
| btBvhSubtreeInfo ()
void | setAabbFromQuantizeNode (const btQuantizedBvhNode &quantizedNode)

## Public Attributes
unsigned short int | m_quantizedAabbMin [3]
unsigned short int | m_quantizedAabbMax [3]
int | m_rootNodeIndex
int | m_subtreeSize
int | m_padding [3]

## Detailed Description

btBvhSubtreeInfo provides info to gather a subtree of limited size

Definition at line 116 of file btQuantizedBvh.h.

## Constructor & Destructor Documentation

## ◆ btBvhSubtreeInfo()

btBvhSubtreeInfo::btBvhSubtreeInfo | ( |  | ) |
| inline

Definition at line 131 of file btQuantizedBvh.h.

## Member Function Documentation

## ◆ BT_DECLARE_ALIGNED_ALLOCATOR()

btBvhSubtreeInfo::BT_DECLARE_ALIGNED_ALLOCATOR | ( |  | ) |

## ◆ setAabbFromQuantizeNode()

void btBvhSubtreeInfo::setAabbFromQuantizeNode | ( | const btQuantizedBvhNode & | quantizedNode | ) |
| inline

Definition at line 136 of file btQuantizedBvh.h.

## Member Data Documentation

## ◆ m_padding

int btBvhSubtreeInfo::m_padding[3]

Definition at line 129 of file btQuantizedBvh.h.

## ◆ m_quantizedAabbMax

unsigned short int btBvhSubtreeInfo::m_quantizedAabbMax[3]

Definition at line 124 of file btQuantizedBvh.h.

## ◆ m_quantizedAabbMin

unsigned short int btBvhSubtreeInfo::m_quantizedAabbMin[3]

Definition at line 123 of file btQuantizedBvh.h.

## ◆ m_rootNodeIndex

int btBvhSubtreeInfo::m_rootNodeIndex

Definition at line 126 of file btQuantizedBvh.h.

## ◆ m_subtreeSize

int btBvhSubtreeInfo::m_subtreeSize

Definition at line 128 of file btQuantizedBvh.h.

The documentation for this class was generated from the following file:

- btQuantizedBvh.h